{
    name: "Prism Scale",
    spritenum: 365,
    fling: {
        basePower: 30
    },
    onTryBoost(boost, target, source, effect) {
        if (target.species.id !== 'feebas' && target.species.id !== 'milotic') return;
        if (!source || target === source || !boost || effect.name === "Prism Scale" || effect.name === "Mirror Armor" )
            return;
        let b;
        for (b in boost) {
            if (boost[b] < 0) {
                if (target.boosts[b] === -6)
                    continue;
                const negativeBoost = {};
                negativeBoost[b] = boost[b];
                delete boost[b];
                if (source.hp) {
                    this.add("-item", target, "Prism Scale");
                    this.boost(negativeBoost, source, target, null, true);
                    target.useItem();
                }
            }
        }
    },
    num: 537,
    gen: 5
}
